DBusServer implementations for Windows
D-Bus secret internal implementation details

Implementation details of DBusServer on Windows. More...

## Functions

DBusServerListenResult | _dbus_server_listen_platform_specific (DBusAddressEntry *entry, DBusServer **server_p, DBusError *error)
| Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

## Detailed Description

Implementation details of DBusServer on Windows.

## Function Documentation

## _dbus_server_listen_platform_specific()

DBusServerListenResult _dbus_server_listen_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusServer ** | server_p,
|  | DBusError * | error )

Tries to interpret the address entry in a platform-specific way, creating a platform-specific server type if appropriate.

Sets error if the result is not OK.

Parameters

  entry | an address entry
  server_p | location to store a new DBusServer, or NULL on failure.
  error | location to store rationale for failure on bad address

Returns
  the outcome

Definition at line 52 of file dbus-server-win.c.

References _dbus_append_address_from_socket(), _dbus_close_socket(), _dbus_daemon_unpublish_session_bus_address(), _dbus_listen_systemd_sockets(), _dbus_server_new_for_launchd(), _dbus_server_new_for_socket(), _dbus_server_new_for_tcp_socket(), _dbus_set_bad_address(), _dbus_string_append(), _dbus_string_free(), _dbus_string_init(), dbus_address_entry_get_method(), dbus_address_entry_get_value(), dbus_free(), FALSE, and NULL.